OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKIGES
IGESDefs

# IGESDefs_Array1OfTabularData Class Reference

`#include <IGESDefs_Array1OfTabularData.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | IGESDefs_Array1OfTabularData (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | IGESDefs_Array1OfTabularData (const Handle(IGESDefs_TabularData)&Item, const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT void | Init (const Handle(IGESDefs_TabularData)&V)
Standard_EXPORT void | Destroy ()
| ~IGESDefs_Array1OfTabularData ()
Standard_Boolean | IsAllocated () const
Standard_EXPORT const IGESDefs_Array1OfTabularData & | Assign (const IGESDefs_Array1OfTabularData &Other)
const IGESDefs_Array1OfTabularData & | operator= (const IGESDefs_Array1OfTabularData &Other)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const Handle(IGESDefs_TabularData)&Value)
const Handle_IGESDefs_TabularData & | Value (const Standard_Integer Index) const
const Handle_IGESDefs_TabularData & | operator() (const Standard_Integer Index) const
Handle_IGESDefs_TabularData & | ChangeValue (const Standard_Integer Index)
Handle_IGESDefs_TabularData & | operator() (const Standard_Integer Index)
## Private Member Functions
Standard_EXPORT | IGESDefs_Array1OfTabularData (const IGESDefs_Array1OfTabularData &AnArray)
## Private Attributes
Standard_Integer | myLowerBound
Standard_Integer | myUpperBound
Standard_Address | myStart
Standard_Boolean | isAllocated

## Constructor & Destructor Documentation

Standard_EXPORT IGESDefs_Array1OfTabularData::IGESDefs_Array1OfTabularData | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT IGESDefs_Array1OfTabularData::IGESDefs_Array1OfTabularData | ( | const Handle(IGESDefs_TabularData)& | Item,
|  | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

IGESDefs_Array1OfTabularData::~IGESDefs_Array1OfTabularData | ( |  | ) | `[inline]`

Standard_EXPORT IGESDefs_Array1OfTabularData::IGESDefs_Array1OfTabularData | ( | const IGESDefs_Array1OfTabularData & | AnArray | ) | `[private]`

## Member Function Documentation

Standard_EXPORT const IGESDefs_Array1OfTabularData& IGESDefs_Array1OfTabularData::Assign | ( | const IGESDefs_Array1OfTabularData & | Other | ) |

Handle_IGESDefs_TabularData& IGESDefs_Array1OfTabularData::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void IGESDefs_Array1OfTabularData::Destroy | ( |  | ) |

Standard_EXPORT void IGESDefs_Array1OfTabularData::Init | ( | const Handle(IGESDefs_TabularData)& | V | ) |

Standard_Boolean IGESDefs_Array1OfTabularData::IsAllocated | ( |  | ) | const

Standard_Integer IGESDefs_Array1OfTabularData::Length | ( |  | ) | const

Standard_Integer IGESDefs_Array1OfTabularData::Lower | ( |  | ) | const

void IGESDefs_Array1OfTabularData::operator delete | ( | void * | anAddress | ) | `[inline]`

void* IGESDefs_Array1OfTabularData::operator new | ( | size_t | size | ) | `[inline]`

void* IGESDefs_Array1OfTabularData::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Handle_IGESDefs_TabularData& IGESDefs_Array1OfTabularData::operator() | ( | const Standard_Integer | Index | ) | `[inline]`

const Handle_IGESDefs_TabularData& IGESDefs_Array1OfTabularData::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

const IGESDefs_Array1OfTabularData& IGESDefs_Array1OfTabularData::operator= | ( | const IGESDefs_Array1OfTabularData & | Other | ) | `[inline]`

void IGESDefs_Array1OfTabularData::SetValue | ( | const Standard_Integer | Index,
|  | const Handle(IGESDefs_TabularData)& | Value
| ) |

Standard_Integer IGESDefs_Array1OfTabularData::Upper | ( |  | ) | const

const Handle_IGESDefs_TabularData& IGESDefs_Array1OfTabularData::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

Standard_Boolean IGESDefs_Array1OfTabularData::isAllocated`[private]`

Standard_Integer IGESDefs_Array1OfTabularData::myLowerBound`[private]`

Standard_Address IGESDefs_Array1OfTabularData::myStart`[private]`

Standard_Integer IGESDefs_Array1OfTabularData::myUpperBound`[private]`

The documentation for this class was generated from the following file:

- IGESDefs_Array1OfTabularData.hxx